mesa/main.sh
2024-09-13 17:56:32 +02:00

29 lines
714 B
Bash
Executable File

#! /bin/bash
set -e
VERSION="24.2.2"
source ./pika-build-config.sh
echo "$PIKA_BUILD_ARCH" > pika-build-arch
# Clone Upstream
git clone https://gitlab.freedesktop.org/mesa/mesa -b mesa-"$VERSION"
cp -rvf ./debian ./mesa/
cd ./mesa
for i in $(cat ../patches/series) ; do echo "Applying Patch: $i" && patch -Np1 -i ../patches/$i || bash -c "echo "Applying Patch $i Failed!" && exit 2"; done
sed -i ' 1 s/.*/& - PikaOS YellowBirb Mesa Stable/' ./VERSION
# Get build deps
apt-get build-dep ./ -y
# Build package
LOGNAME=root dh_make --createorig -y -l -p mesa_"$VERSION" || echo "dh-make: Ignoring Last Error"
dpkg-buildpackage --no-sign
# Move the debs to output
cd ../
mkdir -p ./output
mv ./*.deb ./output/